Subject: Re: bug#70942: 30.0.50; More build warnings

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 May 2024 20:47:38 +0300

> From: Jacob Faibussowitsch <[email-masked]>
> Date: Tue, 14 May 2024 11:27:36 -0400
> 
> Follow-on from bug #63415, some more build warnings for latest trunk
> (8074c08cd553ab6ee5ffe61cc2e56fb1e0a4fe34) I have collected over the last few weeks:

Thanks for reporting this.

> dispnew.c:3682:12: warning: variable 'changed_p' set but not used [-Wunused-but-set-variable]
>       bool changed_p = 0, mouse_face_overwritten_p = 0;
>            ^
> 1 warning generated.

The variable is used only in a build that supports some GUI display.
However, I don't want to complicate our code to pacify a compiler, so
you'll need to ignore this one.

> xdisp.c:35742:1: warning: unused function 'note_fringe_highlight' [-Wunused-function]
> note_fringe_highlight (struct frame *f, Lisp_Object window, int x, int y,
> ^
> 1 warning generated.

Fixed.

> keyboard.c:5403:19: warning: no previous extern declaration for non-static variable 'lispy_function_keys'
> [-Wmissing-variable-declarations]
> const char *const lispy_function_keys[] =
>                   ^
> keyboard.c:5403:7: note: declare 'static' if the variable is not intended to be used outside of this translation
> unit
> const char *const lispy_function_keys[] =
>       ^
> 1 warning generated.

This is a variable, so the compiler has no business suggesting such
changes.  I left that alone.

> In end of data:
> image/image-dired-util.el:208:14: Warning: the function ‘clear-image-cache’ is not known to be defined.

Fixed.

> In end of data:
> net/eww.el:1365:59: Warning: the function ‘imagep’ is not known to be defined.

Fixed.

> org.texi:15658: warning: @anchor should not appear on @item line
> org.texi:15671: warning: @anchor should not appear on @item line

This warning will go away when the next version of Texinfo is
released, they decided to lift this restriction.

With that, I'm closing this bug.